%define module	App-Info
%define name	perl-%{module}
%define version 0.55
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Information about software packages on a system
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/App/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:  perl-Module-Build
BuildRequires:  perl(Test::Pod) >= 1.20
BuildRequires:  apache
BuildRequires:  postgresql-devel
BuildRequires:  sqlite3-devel
BuildRequires:	sqlite3-tools
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
App::Info provides a generalized interface for providing metadata
about software packages installed on a system. The idea is that
App::Info subclasses can be used in Perl application installers in
order to determine whether software dependencies have been fulfilled,
and to get necessary metadata about those software packages.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/App
%{_mandir}/*/*





%changelog
* Sat Jul 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2009.0
+ Revision: 238724
- update to new version 0.55

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2009.0
+ Revision: 209318
- update to new version 0.54

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2009.0
+ Revision: 201958
- update to new version 0.53

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2008.0
+ Revision: 63918
- update to new version 0.52

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.51-1mdv2008.0
+ Revision: 19183
-New version


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.49-1mdv2007.0
+ Revision: 73277
- import perl-App-Info-0.49-1mdk

* Fri Apr 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.49-1mdk
- New release 0.49
- better source URL
- use Module::Build everywhere
- minor spec cleanups
- better buildrequires syntax

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.48-1mdk
- 0.48

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.47-1mdk
- New release 0.47

* Mon Nov 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdk
- New release 0.45
- spec cleanup
- better summary
- use manual dependency syntax for buildrequires

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.44-1mdk
- initial Mandriva package, slight fedora import

